Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.8
Release: 1
Copyright: GPL
Group: Services
Source0: http://mike.daewoo.com.pl/computer/stunnel/stunnel-%{version}.tar.gz
Patch1: stunnel-3.8-configure.patch
Buildroot: /var/tmp/stunnel-root

%changelog
* Mon Feb 18 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to version 2.8
- Moved manpages to comply with FHS

* Fri Aug 12 1999 Damien Miller <damien@ibs.com.au>
- Updated to 3.4a
- Patched for OpenSSL 0.9.4
- Cleaned up files section

* Sun Jul 11 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to 3.3

* Sat Nov 28 1998 Damien Miller <dmiller@ilogic.com.au>
- Initial RPMification

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.

%post
echo "To generate a self signed certificate, execute the following commands:"
echo ""
echo ""
echo "cd /var/ssl/certs"
echo "openssl req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem"
echo "ln -s server.pem \`openssl x509 -noout -hash < server.pem\`.0" 
echo "chmod 644 server.pem"
echo ""

%postun
if [ -r /var/ssl/certs/server.pem ]; then
	echo "You may wish to remove the stunnel certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f /var/ssl/certs/`openssl x509 -noout -hash < /var/ssl/certs/server.pem`.0"
	echo "rm -f /var/ssl/certs/server.pem"
	echo ""
fi

%prep

%setup 
%patch1 -p1

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr %{_target_platform}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
/usr/bin/install -c -m 711 stunnel $RPM_BUILD_ROOT/usr/sbin
/usr/bin/install -c -m 644 stunnel.8 $RPM_BUILD_ROOT/usr/share/man/man8
/usr/bin/install -c -m 755 stunnel.so $RPM_BUILD_ROOT/usr/lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) %doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay FAQ 
%attr(0755,root,root) %doc README TODO stunnel.html transproxy.txt INSTALL 
%attr(0755,root,root) %doc PORTS HISTORY 
%attr(0711,root,root) /usr/sbin/stunnel
%attr(0755,root,root) /usr/lib/stunnel.so
%attr(0644,root,root) /usr/share/man/man8/stunnel.8

